Skip to main content
GET
/
api
/
v1
/
agents
/
{id}
Get Agent
curl --request GET \
  --url https://api.ravan.ai/api/v1/agents/{id}/ \
  --header 'X-Api-Key: <api-key>'
{
  "success": true,
  "message": "Request completed successfully",
  "data": {
    "id": "id_123",
    "organization_id": "organization_123",
    "widget_settings_id": "widget_settings_123",
    "name": "Support Bot",
    "agent_name": "Support Bot",
    "status": "AGENT_STATUS_ACTIVE",
    "model": "gpt-4o",
    "s2s_model": "gpt-4o",
    "voice_id": "voice_123",
    "temperature": 0.7,
    "reminder_trigger_ms": 5000,
    "reminder_max_count": 1,
    "ambient_sound": "example",
    "ambient_sound_volume": 0.3,
    "end_call_after_silence": true,
    "max_call_duration_ms": 5000,
    "ring_duration_ms": 5000,
    "enable_voicemail_detection": true,
    "voicemail_message": "en-US-female-1",
    "voicemail_detection_timeout_ms": 5000,
    "ivr_options": {},
    "post_call_analysis_model": "gpt-4o",
    "analysis_summary_prompt": "example",
    "selected_tools": {},
    "integrations": {},
    "knowledge_base": "example",
    "begin_message": "Request completed successfully",
    "start_speaker": "example",
    "created_at": "2026-03-14T12:00:00Z",
    "updated_at": "2026-03-14T12:00:00Z"
  }
}

Authorizations

X-Api-Key
string
required
Your Agni API key. Find it in your RavanAi.

Path Parameters

id
string
required
Agent ID

Response

success
boolean
Whether the request succeeded.
message
string
Human-readable status message.
data
object
Returned data.
{
  "success": true,
  "message": "Request completed successfully",
  "data": {
    "id": "id_123",
    "organization_id": "organization_123",
    "widget_settings_id": "widget_settings_123",
    "name": "Support Bot",
    "agent_name": "Support Bot",
    "status": "AGENT_STATUS_ACTIVE",
    "model": "gpt-4o",
    "s2s_model": "gpt-4o",
    "voice_id": "voice_123",
    "temperature": 0.7,
    "reminder_trigger_ms": 5000,
    "reminder_max_count": 1,
    "ambient_sound": "example",
    "ambient_sound_volume": 0.3,
    "end_call_after_silence": true,
    "max_call_duration_ms": 5000,
    "ring_duration_ms": 5000,
    "enable_voicemail_detection": true,
    "voicemail_message": "en-US-female-1",
    "voicemail_detection_timeout_ms": 5000,
    "ivr_options": {},
    "post_call_analysis_model": "gpt-4o",
    "analysis_summary_prompt": "example",
    "selected_tools": {},
    "integrations": {},
    "knowledge_base": "example",
    "begin_message": "Request completed successfully",
    "start_speaker": "example",
    "created_at": "2026-03-14T12:00:00Z",
    "updated_at": "2026-03-14T12:00:00Z"
  }
}

Authorizations

X-Api-Key
string
header
required

Path Parameters

id
string
required

Agent ID

Response

200 - application/json

Successful response

success
boolean
message
string
data
object